Package com.xebialabs.xlrelease.domain.events

# Class TaskCopiedFromEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TaskCreatedOrTypeChangedEvent
com.xebialabs.xlrelease.domain.events.TaskCopiedFromEvent

All Implemented Interfaces:
  `TaskEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskCopiedFromEvent extends TaskCreatedOrTypeChangedEvent implements scala.Product, Serializable
Event published when a task is copied from another container.

param: taskCopied the created copy of the task. param: sourceContainerType the type of container that the task was copied from. param: sourceContainerTitle the title of the container that the task was copied from. param: sourceTaskTile the title of the source task that was copied.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskCopiedFromEvent(Task taskCopied, String sourceContainerType, String sourceContainerTitle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskCopiedFromEvent`
  `apply(Task taskCopied, String sourceContainerType, String sourceContainerTitle)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskCopiedFromEvent`
  `copy(Task taskCopied, String sourceContainerType, String sourceContainerTitle)`
  `Task`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `sourceContainerTitle()`
  `String`
  `sourceContainerType()`
  `Task`
  `taskCopied()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<Task,String,String>>`
  `unapply(TaskCopiedFromEvent x$0)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.events.TaskCreatedOrTypeChangedEvent

  `task, timestamp, username, username_$eq`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskCopiedFromEvent

    public TaskCopiedFromEvent(Task taskCopied, String sourceContainerType, String sourceContainerTitle)

- ## Method Details

  - ### apply

    public static TaskCopiedFromEvent apply(Task taskCopied, String sourceContainerType, String sourceContainerTitle)

  - ### unapply

    public static scala.Option<scala.Tuple3<Task,String,String>> unapply(TaskCopiedFromEvent x$0)

  - ### taskCopied

    public Task taskCopied()

  - ### sourceContainerType

    public String sourceContainerType()

  - ### sourceContainerTitle

    public String sourceContainerTitle()

  - ### copy

    public TaskCopiedFromEvent copy(Task taskCopied, String sourceContainerType, String sourceContainerTitle)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`